version: 26.2.3
files:
  - url: Trezor-Suite-26.2.3-linux-arm64.AppImage
    sha512: NvWPSjc3DbgP94yElX0h6LPqeNoRR25Wesfmf6DaW0rmKKJ/zehz9V02OOHP2lcY9HYnXSCZJBxDW+49uhNhmw==
    size: 181694612
    blockMapSize: 191456
path: Trezor-Suite-26.2.3-linux-arm64.AppImage
sha512: NvWPSjc3DbgP94yElX0h6LPqeNoRR25Wesfmf6DaW0rmKKJ/zehz9V02OOHP2lcY9HYnXSCZJBxDW+49uhNhmw==
releaseNotes: |
  ### 🎨 Improvements

  - The transaction list has been redesigned to provide a clearer, more intuitive overview of your transaction history.
  - Trezor device wipe behavior has been unified across platforms for a more consistent and streamlined experience.
  - The labeling system has been enhanced, offering a more robust and user-friendly way to organize assets and transactions.
  - The transaction notifications have been redesigned to improve readability.

  ### 🔧 Bug fixes

  - Minor bugs have been resolved alongside performance optimizations, ensuring a smoother and more reliable experience overall.
releaseDate: '2026-02-18T15:39:30.433Z'
stagingPercentage: 20
